/* IndentController.m 
 * Copyright (C) 1994 Kurt Werle
 * This is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License, see the file COPYING.
 */

#import <appkit/appkit.h>

@interface IndentController:Object
{
    id	BlankafterBlock;
    id	BlankafterProcedure;
    id	BlankbeforeBlock;
    id	BlankLineComments;
    id	CommentCodeCol;
    id	CommentDeclarationCol;
    id	ContinuationIndent;
    id	ConvertSymbols;
    id	DeleteExtraBlanks;
    id	FormatCol1Comments;
    id	IndentCaseLabels;
    id	IndentParameterDeclarations;
    id	IndentVariableDeclarations;
    id	JustifyParenthesisSplit;
    id	LeftJustifyDeclares;
    id	LineComments;
    id	LineupCompound;
    id	MatchElsetoIf;
    id	MaxLineLength;
    id	MaxCommentLineLength;
    id	NegativeIndentComments;
    id	NestleElses;
    id	NewLineafterComma;
    id	ProcedureNameCol1;
    id	SpaceAroundPointers;
    id	SpaceBeforeParens;
    id	SpaceperIndent;
    id	TabStopWidth;
    id	VerboseMode;
    id	typedefText;

    id	myCodeScrollView;
    
    NXStream *myCodeBlock;
    char indentCodes[2048];
    char *myFileName;
}

- (BOOL)appAcceptsAnotherFile:sender;
- (int)app:sender openFile:(const char *)filename type:(const char *)aType;
- free;

- loadInfo:sender;
- NewFile:sender;
- LoadFile:sender;
- ProcessCode:sender;
- ResetCode:sender;
- SaveFile:sender;
- SaveFileAs:sender;

@end
